/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;
import CustomerAccountMgmt.CustomerAccountTrans.CustomerAccTrans;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class CustomerAccountHolder extends RelMgmt.Party.PartyRole {
    public BigDecimal calcAvgAccountBalance() {
        return new BigDecimal(0);
    }

    public int rate() {
        return 0;
    }

    public Vector listAccounts() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private CustomerAccountMgmt.CustomerAccount.CustomerAccount lnkUnnamed;
    private String number;
    private int priority;

    /**
     * @label derivable
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private CustomerAccTrans lnkUnnamed1;
}


